Package it.ernytech.tdlib

## Class TdApi.SetDatabaseEncryptionKey

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetDatabaseEncryptionKey

Enclosing class:
  TdApi

    public static class TdApi.SetDatabaseEncryptionKey
    extends TdApi.Function

Changes the database encryption key. Usually the encryption key is never changed and is stored in some OS keychain.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`byte[]` `newEncryptionKey` New encryption key.

### Constructor Summary

Constructors
`SetDatabaseEncryptionKey()` Default constructor.
`SetDatabaseEncryptionKey​(byte[] newEncryptionKey)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### newEncryptionKey

    public byte[] newEncryptionKey

New encryption key.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetDatabaseEncryptionKey

    public SetDatabaseEncryptionKey()

Default constructor.

#### SetDatabaseEncryptionKey

    public SetDatabaseEncryptionKey​(byte[] newEncryptionKey)

Constructor for initialization of all fields.

Parameters:
  `newEncryptionKey` - New encryption key.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR